import { useI18n } from '../../../i18n';
import { FcrIcon } from '../../icon';
import { FcrIconType } from '../../icon/type';
import { FcrToolTip } from '../../tooltip';
import './drag-icon.css';
import { jsx as _jsx } from "react/jsx-runtime";
export var DragIcon = function DragIcon() {
  var t = useI18n();
  return /*#__PURE__*/_jsx(FcrToolTip, {
    content: t('fmt_popup_button_drag'),
    trigger: "hover",
    mouseEnterDelay: 0,
    children: /*#__PURE__*/_jsx("div", {
      children: /*#__PURE__*/_jsx(FcrIcon, {
        type: FcrIconType.FCR_WHITEBOARD_MOVE,
        className: "drag-icon",
        colors: {
          iconPrimary: 'var(--fcr_ui_scene_black8)'
        },
        size: 20
      })
    })
  });
};